| # Makefile.in generated by automake 1.10.2 from Makefile.am. |
| # @configure_input@ |
| |
| # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, |
| # 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc. |
| # This Makefile.in is free software; the Free Software Foundation |
| # gives unlimited permission to copy and/or distribute it, |
| # with or without modifications, as long as this notice is preserved. |
| |
| # This program is distributed in the hope that it will be useful, |
| # but WITHOUT ANY WARRANTY, to the extent permitted by law; without |
| # even the implied warranty of MERCHANTABILITY or FITNESS FOR A |
| # PARTICULAR PURPOSE. |
| |
| @SET_MAKE@ |
| |
| # Makefile.am for libgpg-error. |
| # Copyright (C) 2003, 2004 g10 Code GmbH |
| # |
| # This file is part of libgpg-error. |
| # |
| # libgpg-error is free software; you can redistribute it and/or modify |
| # it under the terms of the GNU Lesser General Public License as |
| # published by the Free Software Foundation; either version 2.1 of the |
| # License, or (at your option) any later version. |
| # |
| # libgpg-error is distributed in the hope that it will be useful, |
| # but WITHOUT ANY WARRANTY; without even the implied warranty of |
| # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the |
| # GNU Lesser General Public License for more details. |
| # |
| # You should have received a copy of the GNU Lesser General Public |
| # License along with this program; if not, write to the Free Software |
| # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA |
| |
| # We distribute the generated sources err-sources.h and err-codes.h, |
| # because they are needed to build the po directory, and they don't |
| # depend on the configuration anyway. |
| |
| |
| |
| |
| |
| VPATH = @srcdir@ |
| pkgdatadir = $(datadir)/@PACKAGE@ |
| pkglibdir = $(libdir)/@PACKAGE@ |
| pkgincludedir = $(includedir)/@PACKAGE@ |
| am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd |
| install_sh_DATA = $(install_sh) -c -m 644 |
| install_sh_PROGRAM = $(install_sh) -c |
| install_sh_SCRIPT = $(install_sh) -c |
| INSTALL_HEADER = $(INSTALL_DATA) |
| transform = $(program_transform_name) |
| NORMAL_INSTALL = : |
| PRE_INSTALL = : |
| POST_INSTALL = : |
| NORMAL_UNINSTALL = : |
| PRE_UNINSTALL = : |
| POST_UNINSTALL = : |
| build_triplet = @build@ |
| host_triplet = @host@ |
| bin_PROGRAMS = gpg-error$(EXEEXT) |
| @HAVE_W32_SYSTEM_FALSE@libgpg_error_la_DEPENDENCIES = \ |
| @HAVE_W32_SYSTEM_FALSE@ $(am__DEPENDENCIES_1) \ |
| @HAVE_W32_SYSTEM_FALSE@ $(am__DEPENDENCIES_2) |
| subdir = src |
| DIST_COMMON = README $(include_HEADERS) $(srcdir)/Makefile.am \ |
| $(srcdir)/Makefile.in $(srcdir)/gpg-error-config.in \ |
| $(srcdir)/versioninfo.rc.in |
| ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 |
| am__aclocal_m4_deps = $(top_srcdir)/m4/autobuild.m4 \ |
| $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \ |
| $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \ |
| $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \ |
| $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \ |
| $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \ |
| $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \ |
| $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac |
| am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ |
| $(ACLOCAL_M4) |
| mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs |
| CONFIG_HEADER = $(top_builddir)/config.h |
| CONFIG_CLEAN_FILES = gpg-error-config versioninfo.rc |
| am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; |
| am__vpath_adj = case $$p in \ |
| $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \ |
| *) f=$$p;; \ |
| esac; |
| am__strip_dir = `echo $$p | sed -e 's|^.*/||'`; |
| am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \ |
| "$(DESTDIR)$(bindir)" "$(DESTDIR)$(m4datadir)" \ |
| "$(DESTDIR)$(includedir)" |
| libLTLIBRARIES_INSTALL = $(INSTALL) |
| LTLIBRARIES = $(lib_LTLIBRARIES) |
| @HAVE_W32_SYSTEM_TRUE@am__DEPENDENCIES_1 = versioninfo.lo |
| am__DEPENDENCIES_2 = |
| am__libgpg_error_la_SOURCES_DIST = gpg-error.h gettext.h w32-gettext.c \ |
| init.c init.h strsource.c strerror.c code-to-errno.c \ |
| code-from-errno.c |
| @HAVE_W32_SYSTEM_TRUE@am__objects_1 = libgpg_error_la-w32-gettext.lo |
| am_libgpg_error_la_OBJECTS = $(am__objects_1) libgpg_error_la-init.lo \ |
| libgpg_error_la-strsource.lo libgpg_error_la-strerror.lo \ |
| libgpg_error_la-code-to-errno.lo \ |
| libgpg_error_la-code-from-errno.lo |
| libgpg_error_la_OBJECTS = $(am_libgpg_error_la_OBJECTS) |
| libgpg_error_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \ |
| $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \ |
| $(libgpg_error_la_LDFLAGS) $(LDFLAGS) -o $@ |
| binPROGRAMS_INSTALL = $(INSTALL_PROGRAM) |
| PROGRAMS = $(bin_PROGRAMS) |
| am_gpg_error_OBJECTS = gpg_error-strsource-sym.$(OBJEXT) \ |
| gpg_error-strerror-sym.$(OBJEXT) gpg_error-gpg-error.$(OBJEXT) |
| gpg_error_OBJECTS = $(am_gpg_error_OBJECTS) |
| gpg_error_DEPENDENCIES = ./libgpg-error.la |
| binSCRIPT_INSTALL = $(INSTALL_SCRIPT) |
| SCRIPTS = $(bin_SCRIPTS) |
| DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir) |
| depcomp = $(SHELL) $(top_srcdir)/depcomp |
| am__depfiles_maybe = depfiles |
| COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \ |
| $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) |
| LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \ |
| --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \ |
| $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) |
| CCLD = $(CC) |
| LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \ |
| --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \ |
| $(LDFLAGS) -o $@ |
| SOURCES = $(libgpg_error_la_SOURCES) $(gpg_error_SOURCES) |
| DIST_SOURCES = $(am__libgpg_error_la_SOURCES_DIST) \ |
| $(gpg_error_SOURCES) |
| m4dataDATA_INSTALL = $(INSTALL_DATA) |
| DATA = $(m4data_DATA) |
| includeHEADERS_INSTALL = $(INSTALL_HEADER) |
| HEADERS = $(include_HEADERS) |
| ETAGS = etags |
| CTAGS = ctags |
| DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) |
| ACLOCAL = @ACLOCAL@ |
| AMTAR = @AMTAR@ |
| AR = @AR@ |
| AS = @AS@ |
| AUTOCONF = @AUTOCONF@ |
| AUTOHEADER = @AUTOHEADER@ |
| AUTOMAKE = @AUTOMAKE@ |
| AWK = @AWK@ |
| BUILD_FILEVERSION = @BUILD_FILEVERSION@ |
| BUILD_TIMESTAMP = @BUILD_TIMESTAMP@ |
| CC = @CC@ |
| CCDEPMODE = @CCDEPMODE@ |
| CC_FOR_BUILD = @CC_FOR_BUILD@ |
| CFLAGS = @CFLAGS@ |
| CPP = @CPP@ |
| CPPFLAGS = @CPPFLAGS@ |
| CYGPATH_W = @CYGPATH_W@ |
| DEFS = @DEFS@ |
| DEPDIR = @DEPDIR@ |
| DLLTOOL = @DLLTOOL@ |
| DSYMUTIL = @DSYMUTIL@ |
| DUMPBIN = @DUMPBIN@ |
| ECHO_C = @ECHO_C@ |
| ECHO_N = @ECHO_N@ |
| ECHO_T = @ECHO_T@ |
| EGREP = @EGREP@ |
| EXEEXT = @EXEEXT@ |
| FGREP = @FGREP@ |
| GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@ |
| GMSGFMT = @GMSGFMT@ |
| GMSGFMT_015 = @GMSGFMT_015@ |
| GPG_ERROR_CONFIG_CFLAGS = @GPG_ERROR_CONFIG_CFLAGS@ |
| GPG_ERROR_CONFIG_ISUBDIRAFTER = @GPG_ERROR_CONFIG_ISUBDIRAFTER@ |
| GPG_ERROR_CONFIG_LIBS = @GPG_ERROR_CONFIG_LIBS@ |
| GREP = @GREP@ |
| INSTALL = @INSTALL@ |
| INSTALL_DATA = @INSTALL_DATA@ |
| INSTALL_PROGRAM = @INSTALL_PROGRAM@ |
| INSTALL_SCRIPT = @INSTALL_SCRIPT@ |
| INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ |
| INTLLIBS = @INTLLIBS@ |
| INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@ |
| LD = @LD@ |
| LDFLAGS = @LDFLAGS@ |
| LIBGPG_ERROR_LT_AGE = @LIBGPG_ERROR_LT_AGE@ |
| LIBGPG_ERROR_LT_CURRENT = @LIBGPG_ERROR_LT_CURRENT@ |
| LIBGPG_ERROR_LT_REVISION = @LIBGPG_ERROR_LT_REVISION@ |
| LIBICONV = @LIBICONV@ |
| LIBINTL = @LIBINTL@ |
| LIBOBJS = @LIBOBJS@ |
| LIBS = @LIBS@ |
| LIBTOOL = @LIBTOOL@ |
| LIPO = @LIPO@ |
| LN_S = @LN_S@ |
| LTLIBICONV = @LTLIBICONV@ |
| LTLIBINTL = @LTLIBINTL@ |
| LTLIBOBJS = @LTLIBOBJS@ |
| MAINT = @MAINT@ |
| MAKEINFO = @MAKEINFO@ |
| MKDIR_P = @MKDIR_P@ |
| MSGFMT = @MSGFMT@ |
| MSGFMT_015 = @MSGFMT_015@ |
| MSGMERGE = @MSGMERGE@ |
| NM = @NM@ |
| NMEDIT = @NMEDIT@ |
| OBJDUMP = @OBJDUMP@ |
| OBJEXT = @OBJEXT@ |
| OTOOL = @OTOOL@ |
| OTOOL64 = @OTOOL64@ |
| PACKAGE = @PACKAGE@ |
| PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ |
| PACKAGE_NAME = @PACKAGE_NAME@ |
| PACKAGE_STRING = @PACKAGE_STRING@ |
| PACKAGE_TARNAME = @PACKAGE_TARNAME@ |
| PACKAGE_URL = @PACKAGE_URL@ |
| PACKAGE_VERSION = @PACKAGE_VERSION@ |
| PATH_SEPARATOR = @PATH_SEPARATOR@ |
| POSUB = @POSUB@ |
| RANLIB = @RANLIB@ |
| RC = @RC@ |
| SED = @SED@ |
| SET_MAKE = @SET_MAKE@ |
| SHELL = @SHELL@ |
| STRIP = @STRIP@ |
| USE_NLS = @USE_NLS@ |
| VERSION = @VERSION@ |
| XGETTEXT = @XGETTEXT@ |
| XGETTEXT_015 = @XGETTEXT_015@ |
| XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@ |
| abs_builddir = @abs_builddir@ |
| abs_srcdir = @abs_srcdir@ |
| abs_top_builddir = @abs_top_builddir@ |
| abs_top_srcdir = @abs_top_srcdir@ |
| ac_ct_CC = @ac_ct_CC@ |
| ac_ct_DUMPBIN = @ac_ct_DUMPBIN@ |
| am__include = @am__include@ |
| am__leading_dot = @am__leading_dot@ |
| am__quote = @am__quote@ |
| am__tar = @am__tar@ |
| am__untar = @am__untar@ |
| bindir = @bindir@ |
| build = @build@ |
| build_alias = @build_alias@ |
| build_cpu = @build_cpu@ |
| build_os = @build_os@ |
| build_vendor = @build_vendor@ |
| builddir = @builddir@ |
| datadir = @datadir@ |
| datarootdir = @datarootdir@ |
| docdir = @docdir@ |
| dvidir = @dvidir@ |
| exec_prefix = @exec_prefix@ |
| host = @host@ |
| host_alias = @host_alias@ |
| host_cpu = @host_cpu@ |
| host_os = @host_os@ |
| host_vendor = @host_vendor@ |
| htmldir = @htmldir@ |
| includedir = @includedir@ |
| infodir = @infodir@ |
| install_sh = @install_sh@ |
| libdir = @libdir@ |
| libexecdir = @libexecdir@ |
| localedir = $(datadir)/locale |
| localstatedir = @localstatedir@ |
| lt_ECHO = @lt_ECHO@ |
| mandir = @mandir@ |
| mkdir_p = @mkdir_p@ |
| oldincludedir = @oldincludedir@ |
| pdfdir = @pdfdir@ |
| prefix = @prefix@ |
| program_transform_name = @program_transform_name@ |
| psdir = @psdir@ |
| sbindir = @sbindir@ |
| sharedstatedir = @sharedstatedir@ |
| srcdir = @srcdir@ |
| sysconfdir = @sysconfdir@ |
| target_alias = @target_alias@ |
| top_build_prefix = @top_build_prefix@ |
| top_builddir = @top_builddir@ |
| top_srcdir = @top_srcdir@ |
| @HAVE_W32CE_SYSTEM_FALSE@gpg_extra_headers = |
| @HAVE_W32CE_SYSTEM_TRUE@gpg_extra_headers = gpg-extra/errno.h |
| @HAVE_W32CE_SYSTEM_FALSE@extra_cppflags = |
| @HAVE_W32CE_SYSTEM_TRUE@extra_cppflags = -idirafter gpg-extra |
| lib_LTLIBRARIES = libgpg-error.la |
| include_HEADERS = gpg-error.h |
| bin_SCRIPTS = gpg-error-config |
| m4datadir = $(datadir)/aclocal |
| m4data_DATA = gpg-error.m4 |
| EXTRA_DIST = mkstrtable.awk err-sources.h.in err-codes.h.in \ |
| mkerrnos.awk errnos.in README \ |
| mkerrcodes.awk mkerrcodes1.awk mkerrcodes2.awk mkerrcodes.c \ |
| mkheader.awk gpg-error.h.in mkw32errmap.c w32-add.h w32ce-add.h \ |
| err-sources.h err-codes.h gpg-error-config.in gpg-error.m4 \ |
| gpg-error.def.in versioninfo.rc.in |
| |
| BUILT_SOURCES = err-sources.h err-codes.h code-to-errno.h code-from-errno.h \ |
| err-sources-sym.h err-codes-sym.h errnos-sym.h gpg-error.h \ |
| gpg-error.def extra-h.in mkw32errmap.map.c |
| |
| tmp_files = _mkerrcodes.h _gpg-error.def.h mkw32errmap.tab.h mkw32errmap.map.c |
| CLEANFILES = err-sources.h err-codes.h code-to-errno.h code-from-errno.h \ |
| gpg-error.h mkerrcodes mkerrcodes.h gpg-error.def mkw32errmap.tab.h \ |
| mkw32errmap.map.c err-sources-sym.h err-codes-sym.h errnos-sym.h \ |
| gpg-extra/errno.h extra-h.in $(tmp_files) |
| |
| @HAVE_W32_SYSTEM_FALSE@arch_sources = |
| @HAVE_W32_SYSTEM_TRUE@arch_sources = w32-gettext.c |
| @HAVE_W32_SYSTEM_TRUE@RCCOMPILE = $(RC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \ |
| @HAVE_W32_SYSTEM_TRUE@ -DLOCALEDIR=\"$(localedir)\" $(AM_CPPFLAGS) $(CPPFLAGS) |
| |
| @HAVE_W32_SYSTEM_TRUE@LTRCCOMPILE = $(LIBTOOL) --mode=compile --tag=RC $(RCCOMPILE) |
| @HAVE_W32_SYSTEM_TRUE@SUFFIXES = .rc .lo |
| @HAVE_W32_SYSTEM_FALSE@gpg_error_res = |
| @HAVE_W32_SYSTEM_TRUE@gpg_error_res = versioninfo.lo |
| @HAVE_W32_SYSTEM_FALSE@no_undefined = |
| @HAVE_W32_SYSTEM_TRUE@no_undefined = -no-undefined |
| @HAVE_W32_SYSTEM_FALSE@export_symbols = |
| @HAVE_W32_SYSTEM_TRUE@export_symbols = -export-symbols gpg-error.def |
| @HAVE_W32_SYSTEM_TRUE@libgpg_error_la_DEPENDENCIES = $(gpg_error_res) gpg-error.def |
| @HAVE_W32_SYSTEM_FALSE@intllibs = @LTLIBINTL@ |
| @HAVE_W32_SYSTEM_TRUE@intllibs = |
| libgpg_error_la_LDFLAGS = -version-info \ |
| @LIBGPG_ERROR_LT_CURRENT@:@LIBGPG_ERROR_LT_REVISION@:@LIBGPG_ERROR_LT_AGE@ \ |
| $(no_undefined) $(export_symbols) |
| |
| libgpg_error_la_SOURCES = gpg-error.h gettext.h $(arch_sources) \ |
| init.c init.h strsource.c strerror.c code-to-errno.c code-from-errno.c |
| |
| |
| # Note that RCCOMPILE needs the same defines as ..._la_CPPFLAGS but |
| # without the extra_cppflags because they may include am -idirafter |
| # which is not supported by the RC compiler. |
| libgpg_error_la_CPPFLAGS = -DLOCALEDIR=\"$(localedir)\" $(extra_cppflags) |
| libgpg_error_la_LIBADD = $(gpg_error_res) $(intllibs) |
| gpg_error_SOURCES = strsource-sym.c strerror-sym.c gpg-error.c |
| gpg_error_CPPFLAGS = -DLOCALEDIR=\"$(localedir)\" $(extra_cppflags) |
| gpg_error_LDADD = ./libgpg-error.la @LTLIBINTL@ |
| all: $(BUILT_SOURCES) |
| $(MAKE) $(AM_MAKEFLAGS) all-am |
| |
| .SUFFIXES: |
| .SUFFIXES: .rc .lo .c .o .obj |
| $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps) |
| @for dep in $?; do \ |
| case '$(am__configure_deps)' in \ |
| *$$dep*) \ |
| ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \ |
| && { if test -f $@; then exit 0; else break; fi; }; \ |
| exit 1;; \ |
| esac; \ |
| done; \ |
| echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \ |
| cd $(top_srcdir) && \ |
| $(AUTOMAKE) --gnu src/Makefile |
| .PRECIOUS: Makefile |
| Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status |
| @case '$?' in \ |
| *config.status*) \ |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \ |
| *) \ |
| echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \ |
| cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \ |
| esac; |
| |
| $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES) |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh |
| |
| $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh |
| $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps) |
| cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh |
| gpg-error-config: $(top_builddir)/config.status $(srcdir)/gpg-error-config.in |
| cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ |
| versioninfo.rc: $(top_builddir)/config.status $(srcdir)/versioninfo.rc.in |
| cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ |
| install-libLTLIBRARIES: $(lib_LTLIBRARIES) |
| @$(NORMAL_INSTALL) |
| test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)" |
| @list='$(lib_LTLIBRARIES)'; for p in $$list; do \ |
| if test -f $$p; then \ |
| f=$(am__strip_dir) \ |
| echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \ |
| $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \ |
| else :; fi; \ |
| done |
| |
| uninstall-libLTLIBRARIES: |
| @$(NORMAL_UNINSTALL) |
| @list='$(lib_LTLIBRARIES)'; for p in $$list; do \ |
| p=$(am__strip_dir) \ |
| echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \ |
| $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \ |
| done |
| |
| clean-libLTLIBRARIES: |
| -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES) |
| @list='$(lib_LTLIBRARIES)'; for p in $$list; do \ |
| dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \ |
| test "$$dir" != "$$p" || dir=.; \ |
| echo "rm -f \"$${dir}/so_locations\""; \ |
| rm -f "$${dir}/so_locations"; \ |
| done |
| libgpg-error.la: $(libgpg_error_la_OBJECTS) $(libgpg_error_la_DEPENDENCIES) |
| $(libgpg_error_la_LINK) -rpath $(libdir) $(libgpg_error_la_OBJECTS) $(libgpg_error_la_LIBADD) $(LIBS) |
| install-binPROGRAMS: $(bin_PROGRAMS) |
| @$(NORMAL_INSTALL) |
| test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)" |
| @list='$(bin_PROGRAMS)'; for p in $$list; do \ |
| p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \ |
| if test -f $$p \ |
| || test -f $$p1 \ |
| ; then \ |
| f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \ |
| echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \ |
| $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \ |
| else :; fi; \ |
| done |
| |
| uninstall-binPROGRAMS: |
| @$(NORMAL_UNINSTALL) |
| @list='$(bin_PROGRAMS)'; for p in $$list; do \ |
| f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \ |
| echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \ |
| rm -f "$(DESTDIR)$(bindir)/$$f"; \ |
| done |
| |
| clean-binPROGRAMS: |
| @list='$(bin_PROGRAMS)'; for p in $$list; do \ |
| f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \ |
| echo " rm -f $$p $$f"; \ |
| rm -f $$p $$f ; \ |
| done |
| gpg-error$(EXEEXT): $(gpg_error_OBJECTS) $(gpg_error_DEPENDENCIES) |
| @rm -f gpg-error$(EXEEXT) |
| $(LINK) $(gpg_error_OBJECTS) $(gpg_error_LDADD) $(LIBS) |
| install-binSCRIPTS: $(bin_SCRIPTS) |
| @$(NORMAL_INSTALL) |
| test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)" |
| @list='$(bin_SCRIPTS)'; for p in $$list; do \ |
| if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \ |
| if test -f $$d$$p; then \ |
| f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \ |
| echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \ |
| $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \ |
| else :; fi; \ |
| done |
| |
| uninstall-binSCRIPTS: |
| @$(NORMAL_UNINSTALL) |
| @list='$(bin_SCRIPTS)'; for p in $$list; do \ |
| f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \ |
| echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \ |
| rm -f "$(DESTDIR)$(bindir)/$$f"; \ |
| done |
| |
| mostlyclean-compile: |
| -rm -f *.$(OBJEXT) |
| |
| distclean-compile: |
| -rm -f *.tab.c |
| |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gpg_error-gpg-error.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gpg_error-strerror-sym.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gpg_error-strsource-sym.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgpg_error_la-code-from-errno.Plo@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgpg_error_la-code-to-errno.Plo@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgpg_error_la-init.Plo@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgpg_error_la-strerror.Plo@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgpg_error_la-strsource.Plo@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgpg_error_la-w32-gettext.Plo@am__quote@ |
| |
| .c.o: |
| @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $< |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(COMPILE) -c $< |
| |
| .c.obj: |
| @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'` |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'` |
| |
| .c.lo: |
| @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $< |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $< |
| |
| libgpg_error_la-w32-gettext.lo: w32-gettext.c |
| @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgpg_error_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libgpg_error_la-w32-gettext.lo -MD -MP -MF $(DEPDIR)/libgpg_error_la-w32-gettext.Tpo -c -o libgpg_error_la-w32-gettext.lo `test -f 'w32-gettext.c' || echo '$(srcdir)/'`w32-gettext.c |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/libgpg_error_la-w32-gettext.Tpo $(DEPDIR)/libgpg_error_la-w32-gettext.Plo |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='w32-gettext.c' object='libgpg_error_la-w32-gettext.lo' libtool=yes @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgpg_error_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libgpg_error_la-w32-gettext.lo `test -f 'w32-gettext.c' || echo '$(srcdir)/'`w32-gettext.c |
| |
| libgpg_error_la-init.lo: init.c |
| @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgpg_error_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libgpg_error_la-init.lo -MD -MP -MF $(DEPDIR)/libgpg_error_la-init.Tpo -c -o libgpg_error_la-init.lo `test -f 'init.c' || echo '$(srcdir)/'`init.c |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/libgpg_error_la-init.Tpo $(DEPDIR)/libgpg_error_la-init.Plo |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='init.c' object='libgpg_error_la-init.lo' libtool=yes @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgpg_error_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libgpg_error_la-init.lo `test -f 'init.c' || echo '$(srcdir)/'`init.c |
| |
| libgpg_error_la-strsource.lo: strsource.c |
| @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgpg_error_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libgpg_error_la-strsource.lo -MD -MP -MF $(DEPDIR)/libgpg_error_la-strsource.Tpo -c -o libgpg_error_la-strsource.lo `test -f 'strsource.c' || echo '$(srcdir)/'`strsource.c |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/libgpg_error_la-strsource.Tpo $(DEPDIR)/libgpg_error_la-strsource.Plo |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='strsource.c' object='libgpg_error_la-strsource.lo' libtool=yes @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgpg_error_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libgpg_error_la-strsource.lo `test -f 'strsource.c' || echo '$(srcdir)/'`strsource.c |
| |
| libgpg_error_la-strerror.lo: strerror.c |
| @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgpg_error_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libgpg_error_la-strerror.lo -MD -MP -MF $(DEPDIR)/libgpg_error_la-strerror.Tpo -c -o libgpg_error_la-strerror.lo `test -f 'strerror.c' || echo '$(srcdir)/'`strerror.c |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/libgpg_error_la-strerror.Tpo $(DEPDIR)/libgpg_error_la-strerror.Plo |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='strerror.c' object='libgpg_error_la-strerror.lo' libtool=yes @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgpg_error_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libgpg_error_la-strerror.lo `test -f 'strerror.c' || echo '$(srcdir)/'`strerror.c |
| |
| libgpg_error_la-code-to-errno.lo: code-to-errno.c |
| @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgpg_error_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libgpg_error_la-code-to-errno.lo -MD -MP -MF $(DEPDIR)/libgpg_error_la-code-to-errno.Tpo -c -o libgpg_error_la-code-to-errno.lo `test -f 'code-to-errno.c' || echo '$(srcdir)/'`code-to-errno.c |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/libgpg_error_la-code-to-errno.Tpo $(DEPDIR)/libgpg_error_la-code-to-errno.Plo |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='code-to-errno.c' object='libgpg_error_la-code-to-errno.lo' libtool=yes @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgpg_error_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libgpg_error_la-code-to-errno.lo `test -f 'code-to-errno.c' || echo '$(srcdir)/'`code-to-errno.c |
| |
| libgpg_error_la-code-from-errno.lo: code-from-errno.c |
| @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgpg_error_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libgpg_error_la-code-from-errno.lo -MD -MP -MF $(DEPDIR)/libgpg_error_la-code-from-errno.Tpo -c -o libgpg_error_la-code-from-errno.lo `test -f 'code-from-errno.c' || echo '$(srcdir)/'`code-from-errno.c |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/libgpg_error_la-code-from-errno.Tpo $(DEPDIR)/libgpg_error_la-code-from-errno.Plo |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='code-from-errno.c' object='libgpg_error_la-code-from-errno.lo' libtool=yes @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libgpg_error_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libgpg_error_la-code-from-errno.lo `test -f 'code-from-errno.c' || echo '$(srcdir)/'`code-from-errno.c |
| |
| gpg_error-strsource-sym.o: strsource-sym.c |
| @am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gpg_error_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gpg_error-strsource-sym.o -MD -MP -MF $(DEPDIR)/gpg_error-strsource-sym.Tpo -c -o gpg_error-strsource-sym.o `test -f 'strsource-sym.c' || echo '$(srcdir)/'`strsource-sym.c |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/gpg_error-strsource-sym.Tpo $(DEPDIR)/gpg_error-strsource-sym.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='strsource-sym.c' object='gpg_error-strsource-sym.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gpg_error_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gpg_error-strsource-sym.o `test -f 'strsource-sym.c' || echo '$(srcdir)/'`strsource-sym.c |
| |
| gpg_error-strsource-sym.obj: strsource-sym.c |
| @am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gpg_error_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gpg_error-strsource-sym.obj -MD -MP -MF $(DEPDIR)/gpg_error-strsource-sym.Tpo -c -o gpg_error-strsource-sym.obj `if test -f 'strsource-sym.c'; then $(CYGPATH_W) 'strsource-sym.c'; else $(CYGPATH_W) '$(srcdir)/strsource-sym.c'; fi` |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/gpg_error-strsource-sym.Tpo $(DEPDIR)/gpg_error-strsource-sym.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='strsource-sym.c' object='gpg_error-strsource-sym.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gpg_error_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gpg_error-strsource-sym.obj `if test -f 'strsource-sym.c'; then $(CYGPATH_W) 'strsource-sym.c'; else $(CYGPATH_W) '$(srcdir)/strsource-sym.c'; fi` |
| |
| gpg_error-strerror-sym.o: strerror-sym.c |
| @am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gpg_error_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gpg_error-strerror-sym.o -MD -MP -MF $(DEPDIR)/gpg_error-strerror-sym.Tpo -c -o gpg_error-strerror-sym.o `test -f 'strerror-sym.c' || echo '$(srcdir)/'`strerror-sym.c |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/gpg_error-strerror-sym.Tpo $(DEPDIR)/gpg_error-strerror-sym.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='strerror-sym.c' object='gpg_error-strerror-sym.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gpg_error_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gpg_error-strerror-sym.o `test -f 'strerror-sym.c' || echo '$(srcdir)/'`strerror-sym.c |
| |
| gpg_error-strerror-sym.obj: strerror-sym.c |
| @am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gpg_error_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gpg_error-strerror-sym.obj -MD -MP -MF $(DEPDIR)/gpg_error-strerror-sym.Tpo -c -o gpg_error-strerror-sym.obj `if test -f 'strerror-sym.c'; then $(CYGPATH_W) 'strerror-sym.c'; else $(CYGPATH_W) '$(srcdir)/strerror-sym.c'; fi` |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/gpg_error-strerror-sym.Tpo $(DEPDIR)/gpg_error-strerror-sym.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='strerror-sym.c' object='gpg_error-strerror-sym.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gpg_error_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gpg_error-strerror-sym.obj `if test -f 'strerror-sym.c'; then $(CYGPATH_W) 'strerror-sym.c'; else $(CYGPATH_W) '$(srcdir)/strerror-sym.c'; fi` |
| |
| gpg_error-gpg-error.o: gpg-error.c |
| @am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gpg_error_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gpg_error-gpg-error.o -MD -MP -MF $(DEPDIR)/gpg_error-gpg-error.Tpo -c -o gpg_error-gpg-error.o `test -f 'gpg-error.c' || echo '$(srcdir)/'`gpg-error.c |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/gpg_error-gpg-error.Tpo $(DEPDIR)/gpg_error-gpg-error.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='gpg-error.c' object='gpg_error-gpg-error.o' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gpg_error_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gpg_error-gpg-error.o `test -f 'gpg-error.c' || echo '$(srcdir)/'`gpg-error.c |
| |
| gpg_error-gpg-error.obj: gpg-error.c |
| @am__fastdepCC_TRUE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gpg_error_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gpg_error-gpg-error.obj -MD -MP -MF $(DEPDIR)/gpg_error-gpg-error.Tpo -c -o gpg_error-gpg-error.obj `if test -f 'gpg-error.c'; then $(CYGPATH_W) 'gpg-error.c'; else $(CYGPATH_W) '$(srcdir)/gpg-error.c'; fi` |
| @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/gpg_error-gpg-error.Tpo $(DEPDIR)/gpg_error-gpg-error.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='gpg-error.c' object='gpg_error-gpg-error.obj' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gpg_error_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gpg_error-gpg-error.obj `if test -f 'gpg-error.c'; then $(CYGPATH_W) 'gpg-error.c'; else $(CYGPATH_W) '$(srcdir)/gpg-error.c'; fi` |
| |
| mostlyclean-libtool: |
| -rm -f *.lo |
| |
| clean-libtool: |
| -rm -rf .libs _libs |
| install-m4dataDATA: $(m4data_DATA) |
| @$(NORMAL_INSTALL) |
| test -z "$(m4datadir)" || $(MKDIR_P) "$(DESTDIR)$(m4datadir)" |
| @list='$(m4data_DATA)'; for p in $$list; do \ |
| if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \ |
| f=$(am__strip_dir) \ |
| echo " $(m4dataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(m4datadir)/$$f'"; \ |
| $(m4dataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(m4datadir)/$$f"; \ |
| done |
| |
| uninstall-m4dataDATA: |
| @$(NORMAL_UNINSTALL) |
| @list='$(m4data_DATA)'; for p in $$list; do \ |
| f=$(am__strip_dir) \ |
| echo " rm -f '$(DESTDIR)$(m4datadir)/$$f'"; \ |
| rm -f "$(DESTDIR)$(m4datadir)/$$f"; \ |
| done |
| install-includeHEADERS: $(include_HEADERS) |
| @$(NORMAL_INSTALL) |
| test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)" |
| @list='$(include_HEADERS)'; for p in $$list; do \ |
| if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \ |
| f=$(am__strip_dir) \ |
| echo " $(includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \ |
| $(includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \ |
| done |
| |
| uninstall-includeHEADERS: |
| @$(NORMAL_UNINSTALL) |
| @list='$(include_HEADERS)'; for p in $$list; do \ |
| f=$(am__strip_dir) \ |
| echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \ |
| rm -f "$(DESTDIR)$(includedir)/$$f"; \ |
| done |
| |
| ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) |
| list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ |
| unique=`for i in $$list; do \ |
| if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| done | \ |
| $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ |
| END { if (nonempty) { for (i in files) print i; }; }'`; \ |
| mkid -fID $$unique |
| tags: TAGS |
| |
| TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ |
| $(TAGS_FILES) $(LISP) |
| tags=; \ |
| here=`pwd`; \ |
| list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ |
| unique=`for i in $$list; do \ |
| if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| done | \ |
| $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ |
| END { if (nonempty) { for (i in files) print i; }; }'`; \ |
| if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \ |
| test -n "$$unique" || unique=$$empty_fix; \ |
| $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ |
| $$tags $$unique; \ |
| fi |
| ctags: CTAGS |
| CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ |
| $(TAGS_FILES) $(LISP) |
| tags=; \ |
| list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ |
| unique=`for i in $$list; do \ |
| if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| done | \ |
| $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ |
| END { if (nonempty) { for (i in files) print i; }; }'`; \ |
| test -z "$(CTAGS_ARGS)$$tags$$unique" \ |
| || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ |
| $$tags $$unique |
| |
| GTAGS: |
| here=`$(am__cd) $(top_builddir) && pwd` \ |
| && cd $(top_srcdir) \ |
| && gtags -i $(GTAGS_ARGS) $$here |
| |
| distclean-tags: |
| -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags |
| |
| distdir: $(DISTFILES) |
| @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ |
| topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ |
| list='$(DISTFILES)'; \ |
| dist_files=`for file in $$list; do echo $$file; done | \ |
| sed -e "s|^$$srcdirstrip/||;t" \ |
| -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \ |
| case $$dist_files in \ |
| */*) $(MKDIR_P) `echo "$$dist_files" | \ |
| sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \ |
| sort -u` ;; \ |
| esac; \ |
| for file in $$dist_files; do \ |
| if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ |
| if test -d $$d/$$file; then \ |
| dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \ |
| if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ |
| cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \ |
| fi; \ |
| cp -pR $$d/$$file $(distdir)$$dir || exit 1; \ |
| else \ |
| test -f $(distdir)/$$file \ |
| || cp -p $$d/$$file $(distdir)/$$file \ |
| || exit 1; \ |
| fi; \ |
| done |
| check-am: all-am |
| check: $(BUILT_SOURCES) |
| $(MAKE) $(AM_MAKEFLAGS) check-am |
| all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(SCRIPTS) $(DATA) \ |
| $(HEADERS) |
| install-binPROGRAMS: install-libLTLIBRARIES |
| |
| installdirs: |
| for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(m4datadir)" "$(DESTDIR)$(includedir)"; do \ |
| test -z "$$dir" || $(MKDIR_P) "$$dir"; \ |
| done |
| install: $(BUILT_SOURCES) |
| $(MAKE) $(AM_MAKEFLAGS) install-am |
| install-exec: install-exec-am |
| install-data: install-data-am |
| uninstall: uninstall-am |
| |
| install-am: all-am |
| @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am |
| |
| installcheck: installcheck-am |
| install-strip: |
| $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ |
| install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ |
| `test -z '$(STRIP)' || \ |
| echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install |
| mostlyclean-generic: |
| |
| clean-generic: |
| -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES) |
| |
| distclean-generic: |
| -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) |
| |
| maintainer-clean-generic: |
| @echo "This command is intended for maintainers to use" |
| @echo "it deletes files that may require special tools to rebuild." |
| -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES) |
| clean: clean-am |
| |
| clean-am: clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \ |
| clean-libtool mostlyclean-am |
| |
| distclean: distclean-am |
| -rm -rf ./$(DEPDIR) |
| -rm -f Makefile |
| distclean-am: clean-am distclean-compile distclean-generic \ |
| distclean-tags |
| |
| dvi: dvi-am |
| |
| dvi-am: |
| |
| html: html-am |
| |
| info: info-am |
| |
| info-am: |
| |
| install-data-am: install-data-local install-includeHEADERS \ |
| install-m4dataDATA |
| |
| install-dvi: install-dvi-am |
| |
| install-exec-am: install-binPROGRAMS install-binSCRIPTS \ |
| install-libLTLIBRARIES |
| |
| install-html: install-html-am |
| |
| install-info: install-info-am |
| |
| install-man: |
| |
| install-pdf: install-pdf-am |
| |
| install-ps: install-ps-am |
| |
| installcheck-am: |
| |
| maintainer-clean: maintainer-clean-am |
| -rm -rf ./$(DEPDIR) |
| -rm -f Makefile |
| maintainer-clean-am: distclean-am maintainer-clean-generic |
| |
| mostlyclean: mostlyclean-am |
| |
| mostlyclean-am: mostlyclean-compile mostlyclean-generic \ |
| mostlyclean-libtool |
| |
| pdf: pdf-am |
| |
| pdf-am: |
| |
| ps: ps-am |
| |
| ps-am: |
| |
| uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS \ |
| uninstall-includeHEADERS uninstall-libLTLIBRARIES \ |
| uninstall-m4dataDATA |
| |
| .MAKE: install-am install-strip |
| |
| .PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \ |
| clean-generic clean-libLTLIBRARIES clean-libtool ctags \ |
| distclean distclean-compile distclean-generic \ |
| distclean-libtool distclean-tags distdir dvi dvi-am html \ |
| html-am info info-am install install-am install-binPROGRAMS \ |
| install-binSCRIPTS install-data install-data-am \ |
| install-data-local install-dvi install-dvi-am install-exec \ |
| install-exec-am install-html install-html-am \ |
| install-includeHEADERS install-info install-info-am \ |
| install-libLTLIBRARIES install-m4dataDATA install-man \ |
| install-pdf install-pdf-am install-ps install-ps-am \ |
| install-strip installcheck installcheck-am installdirs \ |
| maintainer-clean maintainer-clean-generic mostlyclean \ |
| mostlyclean-compile mostlyclean-generic mostlyclean-libtool \ |
| pdf pdf-am ps ps-am tags uninstall uninstall-am \ |
| uninstall-binPROGRAMS uninstall-binSCRIPTS \ |
| uninstall-includeHEADERS uninstall-libLTLIBRARIES \ |
| uninstall-m4dataDATA |
| |
| |
| @HAVE_W32_SYSTEM_TRUE@.rc.lo: |
| @HAVE_W32_SYSTEM_TRUE@ $(LTRCCOMPILE) -i "$<" -o "$@" |
| |
| @HAVE_W32_SYSTEM_TRUE@install-def-file: gpg-error.def |
| @HAVE_W32_SYSTEM_TRUE@ $(INSTALL) gpg-error.def $(DESTDIR)$(libdir)/gpg-error.def |
| |
| @HAVE_W32_SYSTEM_TRUE@uninstall-def-file: |
| @HAVE_W32_SYSTEM_TRUE@ -rm $(DESTDIR)$(libdir)/gpg-error.def |
| @HAVE_W32_SYSTEM_FALSE@install-def-file: |
| @HAVE_W32_SYSTEM_FALSE@uninstall-def-file: |
| |
| # We build err-sources.h and err-codes.h in the source directory. |
| # This is needed because gettext does only look into the source |
| # directory to find the files listed in po/POTFILE.in. To make these |
| # rules work we also need to depend on Makefile.am and not on the |
| # generated files Makefile.in or Makefile. |
| $(srcdir)/err-sources.h: Makefile.am mkstrtable.awk err-sources.h.in |
| $(AWK) -f $(srcdir)/mkstrtable.awk -v textidx=3 \ |
| $(srcdir)/err-sources.h.in >$@ |
| |
| err-sources-sym.h: Makefile mkstrtable.awk err-sources.h.in |
| $(AWK) -f $(srcdir)/mkstrtable.awk -v textidx=2 -v nogettext=1 \ |
| $(srcdir)/err-sources.h.in >$@ |
| |
| $(srcdir)/err-codes.h: Makefile.am mkstrtable.awk err-codes.h.in |
| $(AWK) -f $(srcdir)/mkstrtable.awk -v textidx=3 \ |
| $(srcdir)/err-codes.h.in >$@ |
| |
| err-codes-sym.h: Makefile mkstrtable.awk err-codes.h.in |
| $(AWK) -f $(srcdir)/mkstrtable.awk -v textidx=2 -v nogettext=1 \ |
| $(srcdir)/err-codes.h.in >$@ |
| |
| code-to-errno.h: Makefile mkerrnos.awk errnos.in |
| $(AWK) -f $(srcdir)/mkerrnos.awk $(srcdir)/errnos.in >$@ |
| |
| # It is correct to use $(CPP). We want the host's idea of the error codes. |
| mkerrcodes.h: Makefile mkerrcodes.awk $(gpg_extra_headers) |
| $(AWK) -f $(srcdir)/mkerrcodes1.awk $(srcdir)/errnos.in >_$@ |
| $(CPP) $(extra_cppflags) _$@ | grep GPG_ERR_ | \ |
| $(AWK) -f $(srcdir)/mkerrcodes.awk >$@ |
| -rm _$@ |
| |
| # It is correct to use $(CPP). We want the host's idea of the error codes. |
| @HAVE_W32CE_SYSTEM_TRUE@mkw32errmap.tab.h: Makefile mkw32errmap.c |
| @HAVE_W32CE_SYSTEM_TRUE@ $(CPP) -DRESOLVE_MACROS $(srcdir)/mkw32errmap.c | \ |
| @HAVE_W32CE_SYSTEM_TRUE@ grep '{&mkw32errmap_marker' >$@ |
| @HAVE_W32CE_SYSTEM_TRUE@mkw32errmap.map.c: mkw32errmap |
| @HAVE_W32CE_SYSTEM_TRUE@ ./mkw32errmap --map > $@ |
| @HAVE_W32CE_SYSTEM_TRUE@gpg-extra/errno.h: mkw32errmap |
| @HAVE_W32CE_SYSTEM_TRUE@ -$(MKDIR_P) gpg-extra |
| @HAVE_W32CE_SYSTEM_TRUE@ ./mkw32errmap > $@ |
| @HAVE_W32CE_SYSTEM_FALSE@mkw32errmap.map.c: |
| @HAVE_W32CE_SYSTEM_FALSE@ echo "/*dummy*/" > $@ |
| |
| # We use CC proper for preprocessing thus we have to convince it that |
| # the data is really to be preprocessed. |
| gpg-error.def: Makefile gpg-error.def.in |
| cat $(srcdir)/gpg-error.def.in >_$@.h |
| $(CPP) $(DEFAULT_INCLUDES) $(INCLUDES) $(extra_cppflags) _$@.h | \ |
| grep -v '^#' >$@ |
| -rm _$@.h |
| |
| # It is correct to use $(CC_FOR_BUILD) here. We want to run the |
| # program at build time. |
| mkerrcodes: mkerrcodes.c mkerrcodes.h Makefile |
| $(CC_FOR_BUILD) -I. -I$(srcdir) -o $@ $(srcdir)/mkerrcodes.c |
| |
| # It is correct to use $(CC_FOR_BUILD) here. We want to run the |
| # program at build time. |
| @HAVE_W32CE_SYSTEM_TRUE@mkw32errmap: mkw32errmap.c mkw32errmap.tab.h Makefile |
| @HAVE_W32CE_SYSTEM_TRUE@ $(CC_FOR_BUILD) -I. -I$(srcdir) -o $@ $(srcdir)/mkw32errmap.c |
| |
| code-from-errno.h: mkerrcodes Makefile |
| ./mkerrcodes | $(AWK) -f $(srcdir)/mkerrcodes2.awk >$@ |
| |
| errnos-sym.h: Makefile mkstrtable.awk errnos.in |
| $(AWK) -f $(srcdir)/mkstrtable.awk -v textidx=2 -v nogettext=1 \ |
| -v prefix=GPG_ERR_ -v namespace=errnos_ \ |
| $(srcdir)/errnos.in >$@ |
| |
| extra-h.in: Makefile w32-add.h w32ce-add.h |
| -rm extra-h.in |
| @HAVE_W32_SYSTEM_TRUE@ cat $(srcdir)/w32-add.h >>extra-h.in |
| @HAVE_W32CE_SYSTEM_TRUE@ cat $(srcdir)/w32ce-add.h >>extra-h.in |
| echo EOF >>extra-h.in |
| |
| gpg-error.h: Makefile mkheader.awk err-sources.h.in err-codes.h.in \ |
| errnos.in extra-h.in gpg-error.h.in |
| $(AWK) -f $(srcdir)/mkheader.awk \ |
| $(srcdir)/err-sources.h.in \ |
| $(srcdir)/err-codes.h.in \ |
| $(srcdir)/errnos.in \ |
| extra-h.in \ |
| $(srcdir)/gpg-error.h.in > $@ |
| |
| install-data-local: |
| @HAVE_W32CE_SYSTEM_TRUE@ -$(MKDIR_P) "$(DESTDIR)$(includedir)/gpg-extra" |
| @HAVE_W32CE_SYSTEM_TRUE@ $(INSTALL_DATA) gpg-extra/errno.h \ |
| @HAVE_W32CE_SYSTEM_TRUE@ "$(DESTDIR)$(includedir)/gpg-extra/errno.h" |
| @HAVE_W32CE_SYSTEM_FALSE@ : |
| # Tell versions [3.59,3.63) of GNU make to not export all variables. |
| # Otherwise a system limit (for SysV at least) may be exceeded. |
| .NOEXPORT: |